Bug 432565 - # rhmd --store-async <yes|no> options
# rhmd --store-async <yes|no> options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: Lana Brindley
Kim van der Riet
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 16:41 EST by Lana Brindley
Modified: 2013-10-23 19:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-17 20:47:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lana Brindley 2008-02-12 16:41:56 EST
Description of problem:

From email: "Minor comment on messaging installation doc" from Gordon Sim 13 Feb
2008

https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_MRG/1.0/html/Messaging_Installation_Guide/chap-Messaging_Installation_Guide-Using_Persistence_with_RHM.html

Sorry, I didn't notice this earlier. Still, better late than never and this
isn't by any means critical...

In the table describing the persistence options we have:

    # rhmd --store-async <yes|no>      

    If yes (or 1), the broker will use an asynchronous journal
    for message persistence; if no (or 0), the broker will use
    a persistence journal. Defaults to 0.

It actually now defaults to yes/1. Also when set to 0 its not really accurate to
say the broker will use a journal.

The more general issue though is that the text here doesn't really help much. My
view would be that we don't need to describe this option anymore and should just
take it out the table.

If we leave it in, we should maybe just say  e.g. that the async mode improves
performance significantly but currently has a fixed size (i.e. describe the
observable effects).
Comment 1 Kim van der Riet 2008-02-13 08:49:42 EST
There are two ways to achieve persistence:
1. The journal, which uses asynchronous IO (AIO for short) - hence the name async.
2. The BDB database, which is somewhat slower, and synchronous.

It is true that the default is now to use the journal. I also think it is
confusing to refer to the BDB database as "a persistence journal".

Perhaps this should be reworded to:

If yes (or 1), the broker will use an asynchronous journal for message
persistence; if no (or 0), the broker will use synchronous storage. Defaults to
yes (asynchronous).
Comment 2 Lana Brindley 2008-02-17 20:47:11 EST
Document now reads:

<row>
        <entry>
	        <command>--store-async &lt;yes|no&gt;</command>
	</entry>
	<entry>
		If <command>yes</command> (or <command>1</command>), the broker will use an
asynchronous journal for message persistence; if <command>no</command> (or
<command>0</command>), the broker will use synchronous storage. Defaults to
<command>yes</command> (asynchronous).
	</entry>
</row>

Note You need to log in before you can comment on or make changes to this bug.